#4868 configure error in 2-6-branch

obsolete: 8.5.10
closed-out-of-date
5
2011-07-29
2011-07-29
No

Environment W7, MinGW; The branch 2-6-branch stops with an error in configure:

checking if 64bit Sparc VIS support is requested... no
checking if Windows/CE build is requested... no
checking system version (for dynamic loading)... ./configure: line 10082: syntax error near unexpected token `('
./configure: line 10082: ` case `(ac_space=' '; set | grep ac_space) 2>&1` in'

thx

Discussion

  • Andreas Kupries

    Andreas Kupries - 2011-07-29

    The Tcl core has no 2-6-branch.
    Are you by chance talking about the Thread package ?

     
  • Thomas Perschak

    Thomas Perschak - 2011-07-29

    Yes - sorry - I mean the threading package.

     
  • Andreas Kupries

    Andreas Kupries - 2011-07-29

    Where did you get the sources from ?
    Which patchlevel of 2.6 was this ?

     
  • Andreas Kupries

    Andreas Kupries - 2011-07-29
    • labels: 104253 --> 80. Thread Package
     
  • Thomas Perschak

    Thomas Perschak - 2011-07-29

    I took it from http://core.tcl.tk/thread and simply tried the latest 2-6-branch. The version tagged 2-6-6 compiles fine - so I thought I'll write a note here.

     
  • Andreas Kupries

    Andreas Kupries - 2011-07-29

    Looking at this I see no branch named '2-6-branch' either, only 'trunk'.
    Do you have the revision id, by chance ?
    (The hex number of your revision you would see in http://core.tcl.tk/thread/timeline?n=20&y=ci\)
    The tag "thread-2-6-6" is a bit over a year old.

     
  • Andreas Kupries

    Andreas Kupries - 2011-07-29
    • assigned_to: andreas_kupries --> dgp
     
  • Thomas Perschak

    Thomas Perschak - 2011-07-29

    Again sorry - the branch full name of course is thread-2-6-branch:

    D:\TCL8.5\sources\thread>fossil status
    repository: D:/TCL8.5/sources/thread/thread.fossil
    local-root: D:/TCL8.5/sources/thread/
    server-code: 4a1051044a6b047539b22dff4e449aca600a2b03
    checkout: 60da38f803b49b8d9246ba1f55878264861b9fd2 2010-03-31 17:17:51 UTC
    parent: ca047fa38443b91c8af5128af3259a18e155d161 2010-03-31 17:17:50 UTC
    tags: rel-2-6-6-branch, thread-2-6-6
    comment: Creating branch rel-2-6-6-branch (user: cvs)

    D:\TCL8.5\sources\thread>fossil timeline
    === 2011-06-27 ===
    17:33:12 [3cd44c9189] Restore compatibility with the latest TEA 3.9 revisions.
    (user: dgp tags: trunk)
    === 2011-04-27 ===
    02:09:13 [513462d6be] New ticket [d2df28c065] <i>repo missing two files</i>.
    (user: anonymous)
    === 2011-04-07 ===
    20:09:28 [46301b0bbb] Changes to wiki page [Tracking Thread Sources] (user:
    dgp)
    20:06:30 [2a50bdef79] Changes to wiki page [Tracking Thread Sources] (user:
    dgp)
    20:04:54 [cf50ec816c] Changes to wiki page [Tracking Thread Sources] (user:
    dgp)
    20:04:39 [3190817ee3] Changes to wiki page [Tracking Thread Sources] (user:
    dgp)
    19:45:12 [8abd2e0920] Changes to wiki page [Tracking Thread Sources] (user:
    dgp)
    17:13:55 [2ba78427ab] Changes to wiki page [Thread Bug Reports and Patch
    Submissions] (user: dgp)
    17:08:37 [505370c46f] Changes to wiki page [Tcl package Thread source code]
    (user: dgp)

    D:\TCL8.5\sources\thread>fossi
    rel-2-6-5-branch
    rel-2-6-6-branch
    thread-1-0
    thread-2-0
    thread-2-1
    thread-2-2
    thread-2-4
    thread-2-5
    thread-2-5-1
    thread-2-5-2
    thread-2-6
    thread-2-6-1
    thread-2-6-1-branch
    thread-2-6-2
    thread-2-6-2-branch
    thread-2-6-3
    thread-2-6-3-branch
    thread-2-6-4
    thread-2-6-4-branch
    thread-2-6-5
    thread-2-6-5-branch
    thread-2-6-6
    thread-2-6-branch
    thread-vendor-branch
    trunk

     
  • Thomas Perschak

    Thomas Perschak - 2011-07-29

    If the tag "thread-2-6-6" is a bit over a year old ... what should I use then?

    thx

     
  • Andreas Kupries

    Andreas Kupries - 2011-07-29

    Note this:

    checkout: 60da38f803b49b8d9246ba1f55878264861b9fd2
    ==> 2010-03-31 17:17:51

    This is a checkout over a year old as well.

    ...

    Try fossil update trunk to get the latest.

    All the tags we have, even those named ...-branch' are plain tags from the conversion of CVS to fossil. Not a true branch. Closed as well, for the most part.

     
  • Thomas Perschak

    Thomas Perschak - 2011-07-29

    thx - I didn't realize that ... I'am new to fossil as well ...
    Did an update on 'trunk' and this compiles fine now.

    greets

     
  • Thomas Perschak

    Thomas Perschak - 2011-07-29
    • status: open --> closed
     
  • Andreas Kupries

    Andreas Kupries - 2011-07-29
    • assigned_to: dgp --> andreas_kupries
    • status: closed --> closed-out-of-date
     

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:

JavaScript is required for this form.





No, thanks